Subject: Re: b44: high ping times with wireless-dev

From: Maximilian Engelhardt <[email-masked]>
Date: Sun, 17 Jun 2007 14:03:30 +0200

On Sunday 17 June 2007, Michael Buesch wrote:
> On Saturday 16 June 2007 23:27:43 Maximilian Engelhardt wrote:
> > [...]
> > ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
> > ACPI: PCI Interrupt 0000:02:02.0[A] -> Link [LNKD] -> GSI 10 (level, low)
> > -> IRQ 10
> > ssb: Sonics Silicon Backplane found on PCI device 0000:02:02.0
> > b44.c:v2.0
> > eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:c0:9f:29:99:a7
> > [...]
>
> Ok, I prepared two debugging patches.
>
> Please enable SonicsSiliconBackplane Debugging in the kernel kconfig,
> so I can get more detail information about your card.
> Device Drivers/Sonics Silicon Backplane/SSB debugging
> (Must disable "No SSB kernel messages")
>
> Please apply and test the attached debugging patches in a row.
> So apply patch 1 and test if it works again. If not, apply
> patch 2 and test if it works.
> Always save complete dmesg log on each test run and send it to me.
>
> Thanks for testing.
> (This time it seems we are actually getting somewhere, when
> dealing with sane people. :D )

I did the tests with my kernel where only the card is on interrupt 10. dmesg 
is attached.
With the first patch applied networking does work again. I also additionally 
tried patch2 and it also does work.

Maxi